Bug 191541 - incorrectly prompted for "keyboard type" during VNC installation
incorrectly prompted for "keyboard type" during VNC installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 15:38 EDT by eric magaoay
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 14:46:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric magaoay 2006-05-12 15:38:29 EDT
Description of problem:
Incorrectly prompted for "keyboard type" during VNC installation even though the
"keyboard type" has already been defined in the kickstart configuration file.

Version-Release number of selected component (if applicable):
anaconda-11.1.0.10-1

How reproducible:
persistent

Steps to Reproduce:
1. prepare a kickstart configuration file (ks.cfg) that include "keyboard us" in
one line. 
Here is a an example ks.cfg file: 
    # assumed installation source host is located at 192.168.3.101
    vnc --host 192.168.3.101 --port 6603      
    # assumed source root source directory is located at /mysrc/fed/i386
    url --url ftp://192.168.3.101/mysrc/fed/i386
    lang en_US.UTF-8
    keyboard us

2. During the installation command prompt type:
    linux vnc ks=ftp://192.168.3.101/mysrc/fed/ks.cfg 
  
Actual results:
    The installation will proceed but stop at step where it will prompt to ask
for "keyboard type"

Expected results:
    The installation should have proceed without prompting for "keyboard type"

Additional info:
Comment 1 Jeremy Katz 2006-05-15 14:46:20 EDT
Keymaps were a bit broken, but that should be fixed in CVS.  We'll get a build
done tonight

Note You need to log in before you can comment on or make changes to this bug.